MCP Tools Reference: paydeveloper.googleapis.com

Tool: list_merchants

Retrieves a list of all Google Pay merchant business profiles associated with the authenticated account.

The following sample demonstrate how to use curl to invoke the list_merchants MCP tool.

Curl Request
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_merchants",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for listing merchants.

Output Schema

Response message for listing merchants.

ListMerchantsResponse

JSON representation
{
  "merchants": [
    {
      object (Merchant)
    }
  ]
}
Fields
merchants[]

object (Merchant)

The basic information of the merchant that the user has access to.

Merchant

JSON representation
{
  "merchantId": string,
  "displayName": string,
  "regionCode": string
}
Fields
merchantId

string

Output only. The unique identifier of the merchant.

displayName

string

Optional. The display name of the merchant.

regionCode

string

Optional. The region code of the merchant's business location. The format is the Unicode CLDR region codes, e.g., "US".

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌